import { AbstractionLoader, Settings } from "../build";
export declare const createDefaultSettings: (patchUrl: string) => Settings;
/**
 * Helper to build an abstraction loader from a patch url.
 * The returned loader will :
 * - use the root url of the patch to resolve relative paths for abstractions.
 * - suffix all abstraction names with .pd if they don't already have an extension.
 *
 * @param patchUrl
 * @returns
 */
export declare const makeUrlAbstractionLoader: (patchUrl: string) => AbstractionLoader;
