import { PdJson } from '@webpd/pd-parser';
import { AbstractionLoader } from '../compile-dsp-graph/instantiate-abstractions';
import { NodeBuilders } from '../compile-dsp-graph/types';
import { Settings } from './types';
export declare const analysePd: (pdJson: PdJson.Pd, abstractionLoader: AbstractionLoader, { nodeBuilders }: Settings) => Promise<{
    unimplementedObjectTypes: Set<string>;
    objectTypesUsed: Set<string>;
    abstractions: {
        [nodeType: string]: PdJson.Pd;
    };
}>;
export declare const getSupportedTypes: (nodeBuilders: NodeBuilders) => string[];
