import { NodeImplementation } from '@webpd/compiler/src/compile/types';
import { NodeBuilder } from '../../compile-dsp-graph/types';
interface NodeArguments {
    minValue: number;
    maxValue: number;
}
declare const stateVariables: {
    minValue: number;
    maxValue: number;
};
type _NodeImplementation = NodeImplementation<NodeArguments, typeof stateVariables>;
declare const builder: NodeBuilder<NodeArguments>;
declare const nodeImplementation: _NodeImplementation;
export { builder, nodeImplementation, NodeArguments };
