import { NodeImplementation } from '@webpd/compiler/src/compile/types';
import { NodeBuilder } from '../../compile-dsp-graph/types';
import { ControlsBaseNodeArguments, stateVariables } from './controls-base';
interface NodeArguments extends ControlsBaseNodeArguments {
    outputOnLoad: boolean;
}
export type _NodeImplementation = NodeImplementation<NodeArguments, typeof stateVariables>;
declare const builder: NodeBuilder<NodeArguments>;
declare const nodeImplementation: _NodeImplementation;
export { builder, nodeImplementation, NodeArguments };
