import { Code, NodeImplementation } from "@webpd/compiler/src/compile/types";
import { NodeBuilder } from "../../compile-dsp-graph/types";
export declare const EMPTY_BUS_NAME = "empty";
export interface ControlsBaseNodeArguments {
    receiveBusName: string;
    sendBusName: string;
}
export declare const stateVariables: {
    value: number;
    funcPrepareStoreValue: number;
    funcPrepareStoreValueBang: number;
    funcSetReceiveBusName: number;
    sendBusName: number;
    receiveBusName: number;
    funcMessageReceiver: number;
};
export declare const build: NodeBuilder<any>['build'];
export declare const declareControlSendReceive: NodeImplementation<any>['generateDeclarations'];
export declare const messageSetSendReceive: (context: Parameters<NodeImplementation<any>['generateDeclarations']>[0]) => Code;
