import { NodeImplementation } from '@webpd/compiler/src/compile/types';
import { NodeBuilder } from '../../compile-dsp-graph/types';
interface NodeArguments {
    initValue: number;
}
declare const stateVariables: {
    currentValue: number;
    currentLine: number;
    defaultLine: number;
    nextDurationSamp: number;
    funcSetNewLine: number;
    funcSetNextDuration: number;
    funcStopCurrentLine: number;
};
type _NodeImplementation = NodeImplementation<NodeArguments, typeof stateVariables>;
declare const builder: NodeBuilder<NodeArguments>;
declare const nodeImplementation: _NodeImplementation;
export { builder, nodeImplementation, NodeArguments };
