import { NodeImplementation } from '@webpd/compiler/src/compile/types';
import { NodeBuilder } from '../../compile-dsp-graph/types';
import { TypeArgument } from '../type-arguments';
interface NodeArguments {
    typeArguments: Array<[TypeArgument, number | string]>;
}
declare const stateVariables: {
    floatValues: number;
    stringValues: number;
};
type _NodeImplementation = NodeImplementation<NodeArguments, typeof stateVariables>;
declare const builder: NodeBuilder<NodeArguments>;
declare const nodeImplementation: _NodeImplementation;
export { builder, nodeImplementation, NodeArguments };
