import { NodeImplementation } from '@webpd/compiler/src/compile/types';
import { NodeBuilder } from '../../compile-dsp-graph/types';
interface NodeArguments {
    arrayName: string;
}
declare const stateVariables: {
    array: number;
    arrayName: number;
    arrayChangesSubscription: number;
    readPosition: number;
    readUntil: number;
    funcSetArrayName: number;
    funcStop: number;
    funcPlay: number;
};
type _NodeImplementation = NodeImplementation<NodeArguments, typeof stateVariables>;
declare const builder: NodeBuilder<NodeArguments>;
declare const nodeImplementation: _NodeImplementation;
export { builder, nodeImplementation, NodeArguments, };
