import { NodeImplementation } from '@webpd/compiler/src/compile/types';
import { NodeBuilder } from '../../compile-dsp-graph/types';
interface NodeArguments {
}
declare const stateVariables: {
    points: number;
    lineSegments: number;
    currentValue: number;
    nextDurationSamp: number;
    nextDelaySamp: number;
    funcSetNewLine: number;
    funcSetNextDuration: number;
    funcSetNextDelay: number;
};
type _NodeImplementation = NodeImplementation<NodeArguments, typeof stateVariables>;
declare const builder: NodeBuilder<NodeArguments>;
declare const nodeImplementation: _NodeImplementation;
export { builder, nodeImplementation, NodeArguments };
