import { NodeImplementation } from '@webpd/compiler/src/compile/types';
import { NodeBuilder } from '../../compile-dsp-graph/types';
interface NodeArguments {
    channelCount: number;
}
declare const stateVariables: {
    isWriting: number;
    operationId: number;
    block: number;
    cursor: number;
    funcFlushBlock: number;
};
type _NodeImplementation = NodeImplementation<NodeArguments, typeof stateVariables>;
declare const builder: NodeBuilder<NodeArguments>;
declare const nodeImplementation: _NodeImplementation;
export { builder, nodeImplementation, NodeArguments, };
