import { CodeVariableName, GlobalCodeGenerator } from '@webpd/compiler/src/compile/types';
export type TypeArgument = 'float' | 'bang' | 'symbol' | 'list' | 'anything';
export declare const resolveTypeArgumentAlias: (value: string) => string;
export declare const assertTypeArgument: (value: string) => TypeArgument;
export declare const renderMessageTransfer: (typeArgument: TypeArgument, msgVariableName: CodeVariableName, index: number) => string;
export declare const messageTokenToFloat: GlobalCodeGenerator;
export declare const messageTokenToString: GlobalCodeGenerator;
