const roundFloatAsPdInt = ({ macros: { Func, Var } }) => `
    function roundFloatAsPdInt ${Func([
    Var('value', 'Float'),
], 'Float')} {
        return value > 0 ? Math.floor(value): Math.ceil(value)
    }
`;

export { roundFloatAsPdInt };
