import { NodeImplementation } from '@webpd/compiler/src/compile/types';
import { NodeBuilder } from '../../compile-dsp-graph/types';
interface NodeArguments {
    delay: number;
    unitAmount: number;
    unit: string;
}
declare const stateVariables: {
    funcSetDelay: number;
    funcScheduleDelay: number;
    funcStopDelay: number;
    delay: number;
    scheduledBang: number;
    sampleRatio: number;
};
type _NodeImplementation = NodeImplementation<NodeArguments, typeof stateVariables>;
declare const builder: NodeBuilder<NodeArguments>;
declare const nodeImplementation: _NodeImplementation;
export { builder, nodeImplementation, NodeArguments, };
