import { NodeImplementation } from '@webpd/compiler/src/compile/types';
import { NodeBuilder } from '../../compile-dsp-graph/types';
interface NodeArguments {
    frequency: number;
    Q: number;
}
declare const stateVariables: {
    frequency: number;
    Q: number;
    y: number;
    ym1: number;
    ym2: number;
    coef1: number;
    coef2: number;
    gain: number;
    funcSetQ: number;
    funcSetFrequency: number;
    funcUpdateCoefs: number;
};
type _NodeImplementation = NodeImplementation<NodeArguments, typeof stateVariables>;
declare const builder: NodeBuilder<NodeArguments>;
declare const nodeImplementation: _NodeImplementation;
export { builder, nodeImplementation, NodeArguments };
