import { NodeImplementation } from '@webpd/compiler/src/compile/types';
import { NodeBuilder } from '../../compile-dsp-graph/types';
interface NodeArguments {
    rate: number;
    unitAmount: number;
    unit: string;
}
declare const stateVariables: {
    rate: number;
    sampleRatio: number;
    skedId: number;
    realNextTick: number;
    funcSetRate: number;
    funcScheduleNextTick: number;
    funcStop: number;
};
type _NodeImplementation = NodeImplementation<NodeArguments, typeof stateVariables>;
declare const builder: NodeBuilder<NodeArguments>;
declare const nodeImplementation: _NodeImplementation;
export { builder, nodeImplementation, NodeArguments };
