import { DspGraph } from '@webpd/compiler';
import { NodeImplementation } from '@webpd/compiler/src/compile/types';
import { NodeBuilder } from '../../compile-dsp-graph/types';
interface NodeArguments {
    templates: Array<Array<DspGraph.NodeArgument>>;
}
declare const stateVariables: {
    outTemplates: number;
    outMessages: number;
    messageTransferFunctions: number;
};
type _NodeImplementation = NodeImplementation<NodeArguments, typeof stateVariables>;
declare const builder: NodeBuilder<NodeArguments>;
declare const nodeImplementation: _NodeImplementation;
export { builder, nodeImplementation, NodeArguments, };
