import { Code, NodeImplementation } from '@webpd/compiler/src/compile/types';
import { NodeBuilder } from '../../compile-dsp-graph/types';
interface NodeArgumentsTabBase {
    arrayName: string;
}
export declare const stateVariablesTabBase: {
    array: number;
    arrayName: number;
    arrayChangesSubscription: number;
    funcSetArrayName: number;
};
type NodeImplementationTabBase = NodeImplementation<NodeArgumentsTabBase, typeof stateVariablesTabBase>;
export declare const translateArgsTabBase: NodeBuilder<NodeArgumentsTabBase>['translateArgs'];
export declare const declareTabBase: NodeImplementationTabBase['generateDeclarations'];
export declare const prepareIndexCode: (value: Code, { state }: Parameters<NodeImplementationTabBase['generateDeclarations']>[0]) => Code;
export declare const messageSetArrayCode: ({ globs, state, }: Parameters<NodeImplementationTabBase['generateMessageReceivers']>[0]) => Code;
export {};
